Loading...
Searching...
No Matches
AngleBend.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/ForceField.h>`
`#include <ForceField/Contrib.h>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::AngleBendContrib
| The angle-bend term for MMFF. More...

## Namespaces

namespace | ForceFields
namespace | ForceFields::MMFF
namespace | ForceFields::MMFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcAngleRestValue (const MMFFAngle *mmffAngleParams)
| returns the MMFF rest value for an angle
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcAngleForceConstant (const MMFFAngle *mmffAngleParams)
| returns the MMFF force constant for an angle
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcCosTheta (RDGeom::Point3D p1, RDGeom::Point3D p2, RDGeom::Point3D p3, double dist1, double dist2)
| calculates and returns the cosine of the angle between points p1, p2, p3
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcAngleBendEnergy (const double theta0, const double ka, bool isLinear, const double cosTheta)
| calculates and returns the angle bending MMFF energy
RDKIT_FORCEFIELD_EXPORT void | ForceFields::MMFF::Utils::calcAngleBendGrad (RDGeom::Point3D *r, double *dist, double **g, double &dE_dTheta, double &cosTheta, double &sinTheta)